
def zip_longest(*args, fillvalue=0):
    # This function zips multiple iterables (args) together, filling in missing values with fillvalue
    # where the iterables are of unequal length.

    from itertools import zip_longest as _zip_longest

    def _zip_longest(*args, fillvalue=0):
        return _zip_longest(*args, fillvalue=fillvalue)

    return _zip_longest(*args, fillvalue=fillvalue)


